MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
sc::MsgMemoryGrp Class Reference

A MsgMemoryGrp that initializes its data using a messagegrp. More...

`#include <memmsg.h>`

Inheritance diagram for sc::MsgMemoryGrp:

List of all members.

## Public Member Functions

| MsgMemoryGrp (const Ref< MessageGrp > &msg)
| MsgMemoryGrp (const Ref< KeyVal > &keyval)
void | set_localsize (size_t localsize)
| Set the size of locally held memory.
void | sync ()
| Synchronizes all the nodes.

## Protected Attributes

Ref< MessageGrp > | msg_

## Detailed Description

A MsgMemoryGrp that initializes its data using a messagegrp.

## Member Function Documentation

void sc::MsgMemoryGrp::set_localsize | ( | size_t |  | ) | `[virtual]`

Set the size of locally held memory.

When memory is accessed using a global offset counting starts at node 0 and proceeds up to node n() - 1.

Implements sc::MemoryGrp.

Reimplemented in sc::ActiveMsgMemoryGrp, sc::ShmMemoryGrp, sc::RDMAMemoryGrp, and sc::ARMCIMemoryGrp.

void sc::MsgMemoryGrp::sync | ( |  | ) | `[virtual]`

Synchronizes all the nodes.

This is useful after remote memory writes to be certain that all of the writes have completed and the data can be accessed locally, for example.

Implements sc::MemoryGrp.

Reimplemented in sc::MTMPIMemoryGrp, and sc::ARMCIMemoryGrp.

The documentation for this class was generated from the following file:

- memmsg.h